package cmd

import (
	"fmt"
	"runtime"

	"github.com/mroach/rom64/version"
	"github.com/spf13/cobra"
)

func init() {
	rootCmd.AddCommand(versionCmd)
}

var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Print the version of this software",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println(version.Version, version.BuildTime, runtime.GOOS, runtime.GOARCH, runtime.Version())
	},
}
